Bug 984191 - [abrt] glibc-2.15-59.fc17: elf_dynamic_do_Rel: Process /usr/lib/ld-2.15.so was killed by signal 11 (SIGSEGV)
[abrt] glibc-2.15-59.fc17: elf_dynamic_do_Rel: Process /usr/lib/ld-2.15.so wa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carlos O'Donell
Fedora Extras Quality Assurance
abrt_hash:864987afdbd1e99c3a74e3289f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 08:45 EDT by Lacrocivious Acrophosist
Modified: 2016-11-24 10:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 04:15:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (103.24 KB, text/plain)
2013-07-13 08:45 EDT, Lacrocivious Acrophosist
no flags Details
File: cgroup (130 bytes, text/plain)
2013-07-13 08:45 EDT, Lacrocivious Acrophosist
no flags Details
File: core_backtrace (459 bytes, text/plain)
2013-07-13 08:45 EDT, Lacrocivious Acrophosist
no flags Details
File: dso_list (10.67 KB, text/plain)
2013-07-13 08:46 EDT, Lacrocivious Acrophosist
no flags Details
File: environ (92 bytes, text/plain)
2013-07-13 08:46 EDT, Lacrocivious Acrophosist
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-13 08:46 EDT, Lacrocivious Acrophosist
no flags Details
File: maps (31.05 KB, text/plain)
2013-07-13 08:46 EDT, Lacrocivious Acrophosist
no flags Details
File: open_fds (244 bytes, text/plain)
2013-07-13 08:46 EDT, Lacrocivious Acrophosist
no flags Details
File: proc_pid_status (763 bytes, text/plain)
2013-07-13 08:46 EDT, Lacrocivious Acrophosist
no flags Details
File: var_log_messages (620 bytes, text/plain)
2013-07-13 08:46 EDT, Lacrocivious Acrophosist
no flags Details

  None (edit)
Description Lacrocivious Acrophosist 2013-07-13 08:45:37 EDT
Version-Release number of selected component:
glibc-2.15-59.fc17

Additional info:
backtrace_rating: 4
cmdline:        /lib/ld-linux.so.2 /lib/libincidenceeditorsng.so.4
crash_function: elf_dynamic_do_Rel
executable:     /usr/lib/ld-2.15.so
kernel:         3.8.13-100.fc17.i686.PAE
runlevel:       N 5
uid:            0
ureports_counter: 1
xsession_errors: 

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 elf_dynamic_do_Rel at do-rel.h:145
 #1 _dl_relocate_object at dl-reloc.c:295
 #2 relocate_doit at rtld.c:624
 #3 _dl_receive_error at dl-error.c:210
 #4 dl_main at rtld.c:2046
 #5 _dl_sysdep_start at ../elf/dl-sysdep.c:244
 #6 _dl_start_final at rtld.c:336
 #7 _dl_start at rtld.c:562
Comment 1 Lacrocivious Acrophosist 2013-07-13 08:45:50 EDT
Created attachment 773022 [details]
File: backtrace
Comment 2 Lacrocivious Acrophosist 2013-07-13 08:45:55 EDT
Created attachment 773023 [details]
File: cgroup
Comment 3 Lacrocivious Acrophosist 2013-07-13 08:45:59 EDT
Created attachment 773025 [details]
File: core_backtrace
Comment 4 Lacrocivious Acrophosist 2013-07-13 08:46:06 EDT
Created attachment 773026 [details]
File: dso_list
Comment 5 Lacrocivious Acrophosist 2013-07-13 08:46:09 EDT
Created attachment 773027 [details]
File: environ
Comment 6 Lacrocivious Acrophosist 2013-07-13 08:46:13 EDT
Created attachment 773028 [details]
File: limits
Comment 7 Lacrocivious Acrophosist 2013-07-13 08:46:18 EDT
Created attachment 773029 [details]
File: maps
Comment 8 Lacrocivious Acrophosist 2013-07-13 08:46:22 EDT
Created attachment 773030 [details]
File: open_fds
Comment 9 Lacrocivious Acrophosist 2013-07-13 08:46:26 EDT
Created attachment 773031 [details]
File: proc_pid_status
Comment 10 Lacrocivious Acrophosist 2013-07-13 08:46:29 EDT
Created attachment 773032 [details]
File: var_log_messages
Comment 11 Carlos O'Donell 2013-07-18 04:15:03 EDT
I can't determine why the dynamic loader would fail where it did, all of the memory for the DSO should be mapped and it should not fail. 

This is not reproducible. I'm marking this closed/insufficient data, but I'll keep my eye out for issues like this to see if there is a pattern.

Note You need to log in before you can comment on or make changes to this bug.